from pydal import DAL, Field
db = DAL("sqlite://databases/storage.db")
db.define_table(
    "trusted",
    Field("path"),
    Field("mode"),
    Field("trusted"),
    Field("duration",type="double"),
    Field("size",type="double")
)
db.define_table(
    "analitic_voice",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double")   
)

db.define_table(
    "analitic_ocr",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field("jsonok" ,type="integer") 
)

db.define_table(
    "analitic_llm",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double")   
)